%define major_version 0.6

Summary:	A project manager and rich text editor for writers
Name:		plume-creator
Version:	0.66.1
Release:	%mkrel 14
License:	GPLv3+
Group:		Publishing
URL:		https://www.plume-creator.eu/
Source0:	https://sourceforge.net/projects/plume-creator/files/%{major_version}/%{name}-%{version}-src.tar.gz
Patch0:		%{name}-icon.patch
Patch1:		plume-creator-0.66.1-fix-build-against-qt5-5.11.0.patch
Patch2:		plume-creator-0.66.1-unbundled.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	cmake(QuaZip-Qt5)

%description
With %{name}, organize your writing projects. Scenes, notes, characters,...
Rich Text editing, full screen editing and multiple projects supported.

%prep
%setup -cqn %{name}-%{version}
%autopatch -p1

%build
%qmake_qt5 \
	PREFIX=%{_prefix} \
	USE_SYSTEM_HUNSPELL=1 \
	USE_SYSTEM_ZLIB=1 \
	USE_SYSTEM_QUAZIP=1 \
	USE_SYSTEM_QTSINGLEAPPLICATION=1 \
	%{name}.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg


%changelog
* Sat Jun 14 2025 daviddavid <daviddavid> 0.66.1-14.mga10
+ Revision: 2191319
- rebuild for new quazip 1.5

* Sun Sep 03 2023 daviddavid <daviddavid> 0.66.1-13.mga10
+ Revision: 1983759
- rebuild for new quazip 1.4

* Fri Oct 07 2022 papoteur <papoteur> 0.66.1-12.mga9
+ Revision: 1895310
- rebuild for libquazip-qt5

* Wed Apr 06 2022 umeabot <umeabot> 0.66.1-11.mga9
+ Revision: 1845842
- Mageia 9 Mass Rebuild

* Tue May 18 2021 daviddavid <daviddavid> 0.66.1-10.mga9
+ Revision: 1725510
- switch to new quazip 1.0

* Thu Dec 17 2020 umeabot <umeabot> 0.66.1-9.mga8
+ Revision: 1659424
- Rebuild for new Qt5
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 0.66.1-8.mga8
+ Revision: 1524880
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 0.66.1-7.mga7
+ Revision: 1384047
- Qt5 Rebuild

* Thu Feb 21 2019 daviddavid <daviddavid> 0.66.1-6.mga7
+ Revision: 1369179
- port to Qt5
- use system hunspell, quazip, zlib and qtsingleapplication

* Sun Sep 23 2018 umeabot <umeabot> 0.66.1-5.mga7
+ Revision: 1300316
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.66.1-4.mga6
+ Revision: 930680
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.66.1-3.mga5
+ Revision: 743529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.66.1-2.mga5
+ Revision: 687682
- Mageia 5 Mass Rebuild

* Sat Aug 09 2014 filipesaraiva <filipesaraiva> 0.66.1-1.mga5
+ Revision: 661294
- Patch to show plume-creator icon

* Sun Nov 17 2013 filipesaraiva <filipesaraiva> 0.66.1-1.mga4
+ Revision: 551687
- imported package plume-creator

